Bug 844900 - rpm scriptlets of whatsup-pingd don't work for el5 and el6
rpm scriptlets of whatsup-pingd don't work for el5 and el6
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: whatsup (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: David Brown
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 04:04 EDT by Tuomo Soini
Modified: 2012-08-25 16:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-25 16:03:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch to fix scriptlets for el5 and el6 (941 bytes, patch)
2012-08-01 04:04 EDT, Tuomo Soini
no flags Details | Diff

  None (edit)
Description Tuomo Soini 2012-08-01 04:04:55 EDT
Created attachment 601680 [details]
Proposed patch to fix scriptlets for el5 and el6

Description of problem:

scriptlets handles service whatsup when they should handle service whatsup-pingd - other logics is not quite correct either - package update will restart service instead of conditionally restarting it.
Comment 1 David Brown 2012-08-01 17:36:55 EDT
Thanks for the patch this is very reasonable patch and I'm including it. However, I was disappointed at my searching the fedora wiki to find documentation on how one should handle services in Fedora or EPEL 5/6.

I'll get this in as soon as I get back from vacation.
Comment 3 Fedora Update System 2012-08-10 10:04:02 EDT
whatsup-1.13-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/whatsup-1.13-4.el5
Comment 4 Fedora Update System 2012-08-10 10:05:43 EDT
whatsup-1.13-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/whatsup-1.13-4.el6
Comment 5 David Brown 2012-08-10 10:10:10 EDT
I've looked over the scripts and they seem to fit more of the model the documentation posted suggests for all distros supported. If either of you would like to poke the karma of the package feel free to do so. Otherwise, I'll wait a couple of days maybe Monday or Tuesday to push it myself.
Comment 6 David Brown 2012-08-10 10:48:29 EDT
Hmmm, I was also disappointed that I couldn't find a web page with the scripts from the koji build.
Comment 7 Fedora Update System 2012-08-10 14:35:22 EDT
Package whatsup-1.13-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing whatsup-1.13-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6655/whatsup-1.13-4.el6
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-08-25 16:03:00 EDT
whatsup-1.13-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-08-25 16:03:19 EDT
whatsup-1.13-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.